#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	XML
%define		pnam	Parser
Summary:	XML::Parser - A Perl module for parsing XML documents
Summary(cs.UTF-8):	XML::Parser - Modul do Perlu pro parsování XML dokumentů
Summary(da.UTF-8):	XML::Parser - Et perlmodul for fortolkning af XML-dokumenter
Summary(de.UTF-8):	XML::Parser - Ein Perl-Modul für das Parsen von XML-Dokumenten
Summary(es.UTF-8):	XML::Parser - Módulo Perl para pasear documentos XML
Summary(fr.UTF-8):	XML::Parser - Module Perl pour l'analyse de documents XML
Summary(it.UTF-8):	XML::Parser - Un modulo Perl per analizzare documenti XML
Summary(ja.UTF-8):	XMLドキュメント 解析用の perl モジュール です。
Summary(ko.UTF-8):	XML::Parser - XML 문서들을 파싱하는데 사용되는 펄 모줄
Summary(nb.UTF-8):	XML::Parser - En perlmodul for parsing av XML-dokumenter
Summary(pl.UTF-8):	XML::Parser - moduł Perla analizujący dokumenty XML
Summary(pt.UTF-8):	XML::Parser - Um módulo de Perl para analisar documentos em XML
Summary(sv.UTF-8):	XML::Parser - En perl-modul för att tolka XML-dokument
Summary(zh_CN.UTF-8):	用来解析 XML 文档 的 Perl 模块。
Name:		perl-XML-Parser
Version:	2.46
Release:	6%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	80bb18a8e6240fcf7ec2f7b57601c170
Patch0:		%{name}-paths.patch
URL:		https://metacpan.org/release/XML-Parser
BuildRequires:	expat-devel
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-libwww}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Parser - A Perl module for parsing XML documents.

%description -l cs.UTF-8
XML::Parser - Modul do Perlu pro parsování XML dokumentů.

%description -l da.UTF-8
XML::Parser - Et perlmodul for fortolkning af XML-dokumenter.

%description -l de.UTF-8
XML::Parser - Ein Perl-Modul für das Parsen von XML-Dokumenten.

%description -l es.UTF-8
XML::Parser - Módulo Perl para pasear documentos XML.

%description -l fr.UTF-8
XML::Parser - Module Perl pour l'analyse de documents XML.

%description -l it.UTF-8
XML::Parser - Un modulo Perl per analizzare documenti XML.

%description -l ja.UTF-8
XMLドキュメント 解析用の perl モジュール です。

%description -l ko.UTF-8
XML::Parser - XML 문서들을 파싱하는데 사용되는 펄 모줄.

%description -l nb.UTF-8
XML::Parser - En perlmodul for parsing av XML-dokumenter.

%description -l pl.UTF-8
XML::Parser - moduł Perla analizujący dokumenty XML.

%description -l pt.UTF-8
XML::Parser - Um módulo de Perl para analisar documentos em XML.

%description -l sv.UTF-8
XML::Parser - En perl-modul för att tolka XML-dokument.

%description -l zh_CN.UTF-8
用来解析 XML 文档 的 Perl 模块。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	EXPATLIBPATH=%{_libdir} \
	EXPATINCPATH=%{_includedir}
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/XML/Parser/Style}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f samples/*~ samples/*.orig
install samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/Parser.pm
%{perl_vendorarch}/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser
%dir %{perl_vendorarch}/auto/XML/Parser/Expat
%attr(755,root,root) %{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
%dir %{perl_vendorlib}/XML/Parser/Style
%{_mandir}/man3/XML::Parser*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jul 09 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Parser.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 0f65655
- perl 5.38.0 rebuild

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 3666dc0
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ba73297
- rebuild with perl 5.34.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e9d7b5
- updated URL

* Fri May 07 2021 Jakub Bogusz <qboosh@pld-linux.org> e966977
- rediffed patch, release 3

* Sat Feb 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 0642aa6
- macros >= 1.745 for always enabled perlprov

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c9ba03c
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4fb22b5
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 91ab1f2
- up to 2.46

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> e37d093
- release 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8460c71
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 20813ad
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7871195
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Tue Jan 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 3c836cd
- updated to 2.44

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e597fd7
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8c7aee1
- x32 rebuild
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0d772a6
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 685f07b
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 401bad5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c96f656
- rebuild for perl 5.20
- release 4 (by relup.sh)

